Loading...
Searching...
No Matches
bson_cursor Struct Reference

Opaque BSON cursor. More...

## Data Fields

const bson * | obj
| The BSON object this is a cursor for.
const gchar * | key
| Pointer within the BSON object to the current key.
size_t | pos
| Position within the BSON object, pointing at the element type.
size_t | value_pos
| The start of the value within the BSON object, pointing right after the end of the key.

## Detailed Description

Opaque BSON cursor.

BSON cursor structure.

Cursors are used to represent a single entry within a BSON object, and to help iterating over said document.